/*******************************************************************************
 * (c) Copyright IBM Corporation 2004, 2007. All Rights Reserved.
 *******************************************************************************/

package com.ibm.gallery.common.wizards;

import java.text.MessageFormat;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

import com.ibm.ccl.ua.wizards.*;


public class ProjectImportMessages {

	private static final String RESOURCE_BUNDLE= ProjectImportMessages.class.getName();
	private static ResourceBundle fgResourceBundle= ResourceBundle.getBundle(RESOURCE_BUNDLE);

	private ProjectImportMessages() {
		// Constructor
	}

	public static String getString(String key) {
		try {
			return fgResourceBundle.getString(key);
		} catch (MissingResourceException e) {
			Activator.logWarning("ProjectImportMessages" + " getString() " + e);
			e.printStackTrace();
			return '!' + key + '!';
		}
	}
	
	/**
	 * Gets a string from the resource bundle and formats it with the argument
	 * 
	 * @param key	the string used to get the bundle value, must not be null
	 */
	public static String getFormattedString(String key, Object arg) {
		return MessageFormat.format(getString(key), new Object[] { arg });
	}


	/**
	 * Gets a string from the resource bundle and formats it with arguments
	 */	
	public static String getFormattedString(String key, Object[] args) {
		return MessageFormat.format(getString(key), args);
	}


}
